Summary
Updates an existing project
Description
Updates an existing project
Route
PATCH /automation-studio/projects/:projectId
Roles
admin
apiwrite
Parameters
DetailsExampleSchema
| Name |
Type |
Required |
Description |
| projectId |
string |
yes |
Project identifier, either an ObjectId or an IID |
| updateData |
object |
yes |
Project update data |
Copied to Clipboard
{
"name": "Firewall Service Provisioning",
"description": "This project is used at Acme Corp as the foundation of some major parts of our business process.",
"thumbnailBackgroundColor": "#FFFFFF",
"members": [
{
"type": "account",
"reference": "5cb7b531d06cceb89fd21b1c",
"role": "owner"
},
{
"type": "group",
"reference": "62a1f3d2ebedfc54e6e0065c",
"role": "editor"
}
],
"version": {
"versionNumber": -79328366,
"commitMessage": "aliquip",
"author": "do aliquip ut Lorem",
"branchName": "exercitation adipisicing"
},
"gitConfiguration": {
"connectionType": "GitLab",
"repositoryPath": "Ut cillum velit",
"branchName": "cupidatat ut nostrud pariatur Excepteur",
"projectPath": "amet Lorem deserunt dolor ullamco"
}
}
Return
DetailsExampleSchema
| Name |
Type |
Description |
| response |
object |
Update result |
Copied to Clipboard
{
"message": "dolore",
"data": null
}
Copied to Clipboard
{
"title": "response",
"type": "object",
"properties": {
"message": {
"type": "string"
},
"data": {
"oneOf": [
{
"type": "null"
},
{
"$ref": "projects-http"
}
]
},
"metadata": {
"type": "object"
}
}
}